Bug 1452121 - Update generated gdeploy config file to add 'qemu' user to 'gluster' group
Summary: Update generated gdeploy config file to add 'qemu' user to 'gluster' group
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: Gdeploy
Version: 0.10.7-0.0.15
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ovirt-4.1.3
: 0.10.7-0.0.20
Assignee: Devyani Kota
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: Gluster-HC-2 RHHI-1.1-RFEs
TreeView+ depends on / blocked
 
Reported: 2017-05-18 11:52 UTC by RamaKasturi
Modified: 2017-08-28 10:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-07-06 13:41:23 UTC
oVirt Team: Gluster
sabose: ovirt-4.1?
sabose: planning_ack?
rule-engine: devel_ack+
sasundar: testing_ack+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 77989 master MERGED gdeploy: Add shell section to add 'qemu' user to 'gluster' group. 2017-06-15 12:07:19 UTC
oVirt gerrit 77998 ovirt-4.1 MERGED gdeploy: Add shell section to add 'qemu' user to 'gluster' group. 2017-06-15 12:07:24 UTC

Description RamaKasturi 2017-05-18 11:52:53 UTC
Description of problem:
Add qemu user to gluster group in hc.conf file.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 RamaKasturi 2017-05-18 11:55:11 UTC
sas, can you please add the extra info which you wanted to add here.

Comment 2 SATHEESARAN 2017-05-29 07:41:59 UTC
(In reply to RamaKasturi from comment #1)
> sas, can you please add the extra info which you wanted to add here.

'usermod -a -G gluster qemu' commands helps to add the 'qemu' user to the 'gluster' group. 

There is 'user' ansible module that is already available, which will help in adding the 'qemu' user to 'gluster' group.

Comment 3 SATHEESARAN 2017-05-29 07:45:45 UTC
The fixing this bug will not suffice in generating gfapi client statedump, as there is SELinux AVC denial message found with RHEL 7.3 when qemu tries to write in to /var/run/gluster

[1] - https://bugzilla.redhat.com/show_bug.cgi?id=1455994
[2] - https://bugzilla.redhat.com/show_bug.cgi?id=1456199

Comment 4 SATHEESARAN 2017-07-02 18:44:41 UTC
Tested with cockpit-ovirt-dashboard-0.10.7-0.0.20

The generated gdeploy config file has a section , that adds the 'qemu' to the 'gluster' group, however it fails as only the RHGS 3.3.0 creates the 'gluster' group. This failure has no harm to the functionality as well as deployment


Note You need to log in before you can comment on or make changes to this bug.